Error
A valid request URL is required to generate request examples{
"results": {
"data": [
{
"includeLinks": true,
"enabled": true,
"options": {
"limit": 123,
"formatted": true,
"exportPivotedData": true,
"asAttachment": true
},
"appName": "<string>",
"savedSqlName": "<string>",
"dashboardName": "<string>",
"savedChartName": "<string>",
"savedChartUuid": "<string>",
"cron": "<string>",
"createdByName": "<string>",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"schedulerUuid": "<string>",
"targets": [
{
"channel": "<string>",
"schedulerUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"schedulerSlackTargetUuid": "<string>"
}
],
"projectName": "<string>",
"projectUuid": "<string>",
"thresholds": [
{
"value": 123,
"fieldId": "<string>"
}
],
"projectSchedulerTimezone": "<string>",
"timezone": "<string>",
"message": "<string>",
"latestRun": {
"createdByUserName": "<string>",
"createdByUserUuid": "<string>",
"resourceName": "<string>",
"resourceUuid": "<string>",
"logCounts": {
"error": 123,
"completed": 123,
"started": 123,
"scheduled": 123,
"total": 123
},
"details": {},
"createdAt": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"schedulerName": "<string>",
"schedulerUuid": "<string>",
"runId": "<string>"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalResults": 123,
"totalPageCount": 123
}
}
}v2
List dashboard schedulers
Get all schedulers for a dashboard
GET
/
api
/
v2
/
dashboards
/
{dashboardUuid}
/
schedulers
Error
A valid request URL is required to generate request examples{
"results": {
"data": [
{
"includeLinks": true,
"enabled": true,
"options": {
"limit": 123,
"formatted": true,
"exportPivotedData": true,
"asAttachment": true
},
"appName": "<string>",
"savedSqlName": "<string>",
"dashboardName": "<string>",
"savedChartName": "<string>",
"savedChartUuid": "<string>",
"cron": "<string>",
"createdByName": "<string>",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"schedulerUuid": "<string>",
"targets": [
{
"channel": "<string>",
"schedulerUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"schedulerSlackTargetUuid": "<string>"
}
],
"projectName": "<string>",
"projectUuid": "<string>",
"thresholds": [
{
"value": 123,
"fieldId": "<string>"
}
],
"projectSchedulerTimezone": "<string>",
"timezone": "<string>",
"message": "<string>",
"latestRun": {
"createdByUserName": "<string>",
"createdByUserUuid": "<string>",
"resourceName": "<string>",
"resourceUuid": "<string>",
"logCounts": {
"error": 123,
"completed": 123,
"started": 123,
"scheduled": 123,
"total": 123
},
"details": {},
"createdAt": "2023-11-07T05:31:56Z",
"scheduledTime": "2023-11-07T05:31:56Z",
"schedulerName": "<string>",
"schedulerUuid": "<string>",
"runId": "<string>"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalResults": 123,
"totalPageCount": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://lightdash-mintlify-505906c8.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
The uuid of the dashboard
Query Parameters
number of items per page
page number
filter schedulers by name
include the most recent run for each scheduler
Was this page helpful?
āI